
// Daten einlesen

M = fscanfMat("./data.csv");

time = M(:,1)';
X = M(:,2:3)';

N = length(time);


// Rauschen entfernen mit Hilfe eines Tiefpassfilters

a = 0.5; // versuche 0.2, 0.1, 0.01 ...
Y = zeros(2,N);
for n = 2:N
    Y(:,n) = a * X(:,n) + (1 - a) * Y(:,n-1);
end
  


// Daten grafisch anzeigen

clf;           // Zeichenflaeche leeren
subplot(2,1,1); // Zeichenposition angeben

time = 1:N;
lightblue = color(192,192,255);
plot2d(time, X(1,:), style = lightblue); 
plot2d(time, Y(1,:), style = 2); 

subplot(2,1,2);
lightred = color(255,192,192);
plot2d(time, X(2,:), style = lightred);
plot2d(time, Y(2,:), style = 5);



